System.Data [00 00 00 00 00 00 00 00 04 00 00 00 00 00 00 00] 1.0.3300.0 1.0.5000.0 2.0.0.0 Gtk# is thread aware, but not thread safe; See the <link location="node:gtk-sharp/programming/threads">Gtk# Thread Programming</link> for details. System.Enum

The values are used by a .NET Framework data provider when performing a transaction.

The remains in effect until explicitly changed, but it can be changed at any time. The new value is used at execution time, not parse time. If changed during a transaction, the expected behavior of the server is to apply the new locking level to all statements remaining.

Specifies the transaction locking behavior for the connection.

- Field
  System.Data.IsolationLevel To be added

  The pending changes from more highly isolated transactions cannot be overwritten.

  1.0.5000.0
  2.0.0.0
- Field
  System.Data.IsolationLevel To be added

  Shared locks are held while the data is being read to avoid dirty reads, but the data can be changed before the end of the transaction, resulting in non-repeatable reads or phantom data.

  1.0.5000.0
  2.0.0.0
- Field
  System.Data.IsolationLevel To be added

  A dirty read is possible, meaning that no shared locks are issued and no exclusive locks are honored.

  1.0.5000.0
  2.0.0.0
- Field
  System.Data.IsolationLevel To be added

  Locks are placed on all data that is used in a query, preventing other users from updating the data. Prevents non-repeatable reads but phantom rows are still possible.

  1.0.5000.0
  2.0.0.0
- Field
  System.Data.IsolationLevel To be added

  A range lock is placed on the , preventing other users from updating or inserting rows into the dataset until the transaction is complete.

  1.0.5000.0
  2.0.0.0
- Field
  2.0.0.0
  System.Data.IsolationLevel

  Reduces blocking by storing a version of data that one application can read while another is modifying the same data. Indicates that from one transaction you cannot see changes made in other transactions, even if you requery.

- Field
  System.Data.IsolationLevel

  When using , if you do not set or you set to Unspecified, the transaction executes according to the isolation level that is determined by the driver that is being used.

  A different isolation level than the one specified is being used, but the level cannot be determined.

  1.0.5000.0
  2.0.0.0